Bug 1248900 - BUG: unable to handle kernel paging request at 0000002a0bf38323 [NEEDINFO]
BUG: unable to handle kernel paging request at 0000002a0bf38323
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 02:50 EDT by Chao Ye
Modified: 2015-11-23 12:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:26:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Chao Ye 2015-07-31 02:50:21 EDT
Description of problem:
===========================================================
[18445.418434] BUG: unable to handle kernel paging request at 0000002a0bf38323
[18445.418482] IP: [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18445.418524] PGD 2422a4067 PUD 0 
[18445.418545] Oops: 0000 [#1] SMP 
[18445.418565] Modules linked in: hidp ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_conntrack nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack rfcomm cmac bnep arc4 intel_rapl iosf_mbi iwlmvm uvcvideo x86_pkg_temp_thermal coretemp mac80211 snd_hda_codec_hdmi snd_hda_codec_realtek kvm_intel snd_hda_codec_generic iTCO_wdt iTCO_vendor_support kvm snd_hda_intel snd_hda_controller snd_hda_codec crct10dif_pclmul crc32_pclmul videobuf2_vmalloc iwlwifi videobuf2_core snd_hda_core btusb snd_hwdep snd_seq btbcm videobuf2_memops v4l2_common snd_seq_device btintel ghash_clmulni_intel
[18445.419030]  cfg80211 i2c_i801 joydev bluetooth videodev thinkpad_acpi snd_pcm media tpm_tis snd_timer wmi tpm snd rfkill mei_me soundcore mei lpc_ich shpchp mfd_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper drm crc32c_intel e1000e serio_raw video ptp pps_core
[18445.419255] CPU: 3 PID: 1851 Comm: Xorg Not tainted 4.1.2-200.fc22.x86_64 #1
[18445.419286] Hardware name: LENOVO 20BTS1N70F/20BTS1N70F, BIOS N14ET28W (1.06 ) 03/12/2015
[18445.419325] task: ffff88023a1e3b40 ti: ffff88023e3b8000 task.ti: ffff88023e3b8000
[18445.419357] RIP: 0010:[<ffffffff8120f034>]  [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18445.419406] RSP: 0018:ffff88023e3bba28  EFLAGS: 00010246
[18445.419430] RAX: 0000002a0bf38323 RBX: 00000000000106d0 RCX: ffffffff8166d8f7
[18445.419460] RDX: 00000000000e2ab0 RSI: 0000000000000000 RDI: 000000000001ac00
[18445.419488] RBP: ffff88023e3bba88 R08: ffff88024dcdac00 R09: ffff880245403500
[18445.419518] R10: ffff8801d297fe00 R11: 0000002a0bf38323 R12: 00000000000106d0
[18445.419546] R13: 0000000000000240 R14: 00000000ffffffff R15: ffff880245403500
[18445.419575] FS:  00007f136c8ef9c0(0000) GS:ffff88024dcc0000(0000) knlGS:0000000000000000
[18445.419609] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[18445.419644] CR2: 0000002a0bf38323 CR3: 000000023a21f000 CR4: 00000000003407e0
[18445.419674] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[18445.419703] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[18445.419731] Stack:
[18445.419741]  ffff88023e3bba38 ffffffff8101ef09 ffff88023e3bba58 ffffffff810d216d
[18445.419775]  ffff880245403500 ffffffff8166d8f7 00000000000004d0 ffff8801d297fe00
[18445.419810]  ffff88023e3bbaff 00000000000004d0 0000000000000240 00000000ffffffff
[18445.419846] Call Trace:
[18445.419861]  [<ffffffff8101ef09>] ? sched_clock+0x9/0x10
[18445.419886]  [<ffffffff810d216d>] ? sched_clock_cpu+0x9d/0xb0
[18445.419913]  [<ffffffff8166d8f7>] ? __alloc_skb+0x87/0x210
[18445.419939]  [<ffffffff8166c8e1>] __kmalloc_reserve.isra.28+0x31/0x90
[18445.419976]  [<ffffffff8166d8cb>] ? __alloc_skb+0x5b/0x210
[18445.420010]  [<ffffffff8166d8f7>] __alloc_skb+0x87/0x210
[18445.420034]  [<ffffffff8166dc97>] alloc_skb_with_frags+0x57/0x1f0
[18445.420061]  [<ffffffff8166882e>] sock_alloc_send_pskb+0x1fe/0x280
[18445.420089]  [<ffffffff810e4994>] ? __wake_up_sync_key+0x54/0x70
[18445.420117]  [<ffffffff81738c8d>] unix_stream_sendmsg+0x29d/0x420
[18445.420145]  [<ffffffff8166380d>] sock_sendmsg+0x3d/0x50
[18445.420170]  [<ffffffff816638a5>] sock_write_iter+0x85/0xf0
[18445.420196]  [<ffffffff8122a938>] do_iter_readv_writev+0x68/0xa0
[18445.420224]  [<ffffffff8122b2ce>] do_readv_writev+0x19e/0x260
[18445.420250]  [<ffffffff8122d5a5>] ? __sb_end_write+0x35/0x70
[18445.420276]  [<ffffffff8122b419>] vfs_writev+0x39/0x50
[18445.420300]  [<ffffffff8122c1e9>] SyS_writev+0x59/0xf0
[18445.420324]  [<ffffffff817a102e>] system_call_fastpath+0x12/0x71
[18445.420351] Code: 83 c4 38 48 89 d8 5b 41 5c 41 5d 41 5e 41 5f 5d c3 66 0f 1f 44 00 00 49 63 41 20 49 8b 39 4c 01 d8 40 f6 c7 0f 0f 85 2c 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 d8 65 48 0f c7 0f 0f 94 c0 84 c0 0f 
[18445.420516] RIP  [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18445.420551]  RSP <ffff88023e3bba28>
[18445.420568] CR2: 0000002a0bf38323
[18445.429834] ---[ end trace e88d4d12f4895782 ]---
[18445.430041] BUG: unable to handle kernel paging request at 0000002a0bf38323
[18445.430081] IP: [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18445.430118] PGD 91d1d067 PUD 0 
[18445.430136] Oops: 0000 [#2] SMP 
[18445.430154] Modules linked in: hidp ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_conntrack nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack rfcomm cmac bnep arc4 intel_rapl iosf_mbi iwlmvm uvcvideo x86_pkg_temp_thermal coretemp mac80211 snd_hda_codec_hdmi snd_hda_codec_realtek kvm_intel snd_hda_codec_generic iTCO_wdt iTCO_vendor_support kvm snd_hda_intel snd_hda_controller snd_hda_codec crct10dif_pclmul crc32_pclmul videobuf2_vmalloc iwlwifi videobuf2_core snd_hda_core btusb snd_hwdep snd_seq btbcm videobuf2_memops v4l2_common snd_seq_device btintel ghash_clmulni_intel
[18445.430557]  cfg80211 i2c_i801 joydev bluetooth videodev thinkpad_acpi snd_pcm media tpm_tis snd_timer wmi tpm snd rfkill mei_me soundcore mei lpc_ich shpchp mfd_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper drm crc32c_intel e1000e serio_raw video ptp pps_core
[18445.430735] CPU: 3 PID: 2245 Comm: kded5 Tainted: G      D         4.1.2-200.fc22.x86_64 #1
[18445.430772] Hardware name: LENOVO 20BTS1N70F/20BTS1N70F, BIOS N14ET28W (1.06 ) 03/12/2015
[18445.430808] task: ffff88023a12cf00 ti: ffff8800367e0000 task.ti: ffff8800367e0000
[18445.430841] RIP: 0010:[<ffffffff8120f034>]  [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18445.430887] RSP: 0018:ffff8800367e3a28  EFLAGS: 00010246
[18445.430910] RAX: 0000002a0bf38323 RBX: 00000000000106d0 RCX: ffffffff8166d8f7
[18445.430939] RDX: 00000000000e2ab0 RSI: 0000000000000000 RDI: 000000000001ac00
[18445.432347] RBP: ffff8800367e3a88 R08: ffff88024dcdac00 R09: ffff880245403500
[18445.433497] R10: ffff8801d297f200 R11: 0000002a0bf38323 R12: 00000000000106d0
[18445.434658] R13: 0000000000000240 R14: 00000000ffffffff R15: ffff880245403500
[18445.435814] FS:  00007f12bc54d840(0000) GS:ffff88024dcc0000(0000) knlGS:0000000000000000
[18445.437579] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[18445.438810] CR2: 0000002a0bf38323 CR3: 0000000091d1c000 CR4: 00000000003407e0
[18445.439901] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[18445.440929] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[18445.441937] Stack:
[18445.442938]  00000000000008c5 0000000000000000 357400356465646b 0000000000000000
[18445.443934]  ffff88022e2d2448 ffffffff8166d8f7 0000000000000001 ffff8801d297f200
[18445.444901]  ffff8800367e3aff 00000000000004d0 0000000000000240 00000000ffffffff
[18445.445867] Call Trace:
[18445.446816]  [<ffffffff8166d8f7>] ? __alloc_skb+0x87/0x210
[18445.447847]  [<ffffffff8166c8e1>] __kmalloc_reserve.isra.28+0x31/0x90
[18445.448809]  [<ffffffff8166d8cb>] ? __alloc_skb+0x5b/0x210
[18445.449745]  [<ffffffff8166d8f7>] __alloc_skb+0x87/0x210
[18445.450728]  [<ffffffff8166dc97>] alloc_skb_with_frags+0x57/0x1f0
[18445.451716]  [<ffffffff8166882e>] sock_alloc_send_pskb+0x1fe/0x280
[18445.452657]  [<ffffffff8179e9b6>] ? mutex_lock_interruptible+0x16/0x50
[18445.453989]  [<ffffffff81738c8d>] unix_stream_sendmsg+0x29d/0x420
[18445.455782]  [<ffffffff8166380d>] sock_sendmsg+0x3d/0x50
[18445.457280]  [<ffffffff81664223>] ___sys_sendmsg+0x2b3/0x2c0
[18445.458212]  [<ffffffff8126cd67>] ? fsnotify+0x327/0x510
[18445.459114]  [<ffffffff812774f4>] ? eventfd_write+0x94/0x230
[18445.460000]  [<ffffffff8126cd67>] ? fsnotify+0x327/0x510
[18445.460897]  [<ffffffff81664d27>] __sys_sendmsg+0x57/0xa0
[18445.461867]  [<ffffffff81664d82>] SyS_sendmsg+0x12/0x20
[18445.462744]  [<ffffffff817a102e>] system_call_fastpath+0x12/0x71
[18445.463707] Code: 83 c4 38 48 89 d8 5b 41 5c 41 5d 41 5e 41 5f 5d c3 66 0f 1f 44 00 00 49 63 41 20 49 8b 39 4c 01 d8 40 f6 c7 0f 0f 85 2c 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 d8 65 48 0f c7 0f 0f 94 c0 84 c0 0f 
[18445.464687] RIP  [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18445.465708]  RSP <ffff8800367e3a28>
[18445.466654] CR2: 0000002a0bf38323
[18445.467600] ---[ end trace e88d4d12f4895783 ]---
[18446.339455] BUG: unable to handle kernel paging request at 0000002a0bf38323
[18446.340625] IP: [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18446.341643] PGD 0 
[18446.342623] Oops: 0000 [#3] SMP 
[18446.343582] Modules linked in: hidp ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_conntrack nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack rfcomm cmac bnep arc4 intel_rapl iosf_mbi iwlmvm uvcvideo x86_pkg_temp_thermal coretemp mac80211 snd_hda_codec_hdmi snd_hda_codec_realtek kvm_intel snd_hda_codec_generic iTCO_wdt iTCO_vendor_support kvm snd_hda_intel snd_hda_controller snd_hda_codec crct10dif_pclmul crc32_pclmul videobuf2_vmalloc iwlwifi videobuf2_core snd_hda_core btusb snd_hwdep snd_seq btbcm videobuf2_memops v4l2_common snd_seq_device btintel ghash_clmulni_intel
[18446.346805]  cfg80211 i2c_i801 joydev bluetooth videodev thinkpad_acpi snd_pcm media tpm_tis snd_timer wmi tpm snd rfkill mei_me soundcore mei lpc_ich shpchp mfd_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper drm crc32c_intel e1000e serio_raw video ptp pps_core
[18446.349098] CPU: 3 PID: 0 Comm: swapper/3 Tainted: G      D         4.1.2-200.fc22.x86_64 #1
[18446.350292] Hardware name: LENOVO 20BTS1N70F/20BTS1N70F, BIOS N14ET28W (1.06 ) 03/12/2015
[18446.351486] task: ffff8802446593c0 ti: ffff880244664000 task.ti: ffff880244664000
[18446.352660] RIP: 0010:[<ffffffff8120f034>]  [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18446.353848] RSP: 0018:ffff88024dcc3c88  EFLAGS: 00010246
[18446.355010] RAX: 0000002a0bf38323 RBX: 0000000000010220 RCX: ffffffff8166d8f7
[18446.356156] RDX: 00000000000e2ab0 RSI: 0000000000000000 RDI: 000000000001ac00
[18446.357294] RBP: ffff88024dcc3ce8 R08: ffff88024dcdac00 R09: ffff880245403500
[18446.358461] R10: ffff8801daade100 R11: 0000002a0bf38323 R12: 0000000000010220
[18446.359601] R13: 0000000000000280 R14: 00000000ffffffff R15: ffff880245403500
[18446.360740] FS:  0000000000000000(0000) GS:ffff88024dcc0000(0000) knlGS:0000000000000000
[18446.361876] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[18446.363047] CR2: 0000002a0bf38323 CR3: 0000000001c0b000 CR4: 00000000003407e0
[18446.364191] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[18446.365275] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[18446.366320] Stack:
[18446.367322]  0000000000000000 0000000000000000 0000000000000000 0000000000000000
[18446.368951]  0000000000000000 ffffffff8166d8f7 0000000000000000 ffff8801daade100
[18446.370565]  ffff88024dcc3d5f 0000000000000020 0000000000000280 00000000ffffffff
[18446.372171] Call Trace:
[18446.373747]  <IRQ> 
[18446.373761]  [<ffffffff8166d8f7>] ? __alloc_skb+0x87/0x210
[18446.376875]  [<ffffffff8166c8e1>] __kmalloc_reserve.isra.28+0x31/0x90
[18446.378431]  [<ffffffff8166d8cb>] ? __alloc_skb+0x5b/0x210
[18446.379983]  [<ffffffff8166d8f7>] __alloc_skb+0x87/0x210
[18446.381521]  [<ffffffff816e4f50>] ? tcp_init_xmit_timers+0x30/0x30
[18446.383057]  [<ffffffff816e3678>] tcp_xmit_probe_skb+0x38/0x100
[18446.384595]  [<ffffffff816e4be9>] tcp_write_wakeup+0x59/0x170
[18446.386008]  [<ffffffff816e50d8>] tcp_keepalive_timer+0x188/0x250
[18446.387265]  [<ffffffff816301f0>] ? intel_pstate_stop_cpu+0x60/0x60
[18446.388513]  [<ffffffff81109079>] call_timer_fn+0x39/0x110
[18446.389761]  [<ffffffff816e4f50>] ? tcp_init_xmit_timers+0x30/0x30
[18446.391013]  [<ffffffff8110975a>] run_timer_softirq+0x24a/0x300
[18446.392257]  [<ffffffff810a5cbb>] __do_softirq+0x10b/0x2d0
[18446.393498]  [<ffffffff810a60c5>] irq_exit+0x145/0x150
[18446.394728]  [<ffffffff817a3e36>] smp_apic_timer_interrupt+0x46/0x60
[18446.395959]  [<ffffffff817a1efe>] apic_timer_interrupt+0x6e/0x80
[18446.397181]  <EOI> 
[18446.397190]  [<ffffffff816310f0>] ? cpuidle_enter_state+0xa0/0x1f0
[18446.399630]  [<ffffffff816310c3>] ? cpuidle_enter_state+0x73/0x1f0
[18446.400845]  [<ffffffff81631277>] cpuidle_enter+0x17/0x20
[18446.402061]  [<ffffffff810e52e1>] cpu_startup_entry+0x2e1/0x3f0
[18446.403284]  [<ffffffff8104faf1>] start_secondary+0x191/0x1d0
[18446.404518] Code: 83 c4 38 48 89 d8 5b 41 5c 41 5d 41 5e 41 5f 5d c3 66 0f 1f 44 00 00 49 63 41 20 49 8b 39 4c 01 d8 40 f6 c7 0f 0f 85 2c 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 d8 65 48 0f c7 0f 0f 94 c0 84 c0 0f 
[18446.405881] RIP  [<ffffffff8120f034>] __kmalloc_node_track_caller+0x1c4/0x320
[18446.407182]  RSP <ffff88024dcc3c88>
[18446.408481] CR2: 0000002a0bf38323



Version-Release number of selected component (if applicable):
4.1.2-200.fc22.x86_64

How reproducible:
Once

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Vmcore captured, will upload later.
Comment 2 Justin M. Forbes 2015-10-20 15:45:19 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Fedora Kernel Team 2015-11-23 12:26:28 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.